Bug 1029670 - [abrt] nautilus-3.10.1-1.fc20: _g_log_abort: Process /usr/bin/nautilus was killed by signal 6 (SIGABRT) [NEEDINFO]
[abrt] nautilus-3.10.1-1.fc20: _g_log_abort: Process /usr/bin/nautilus was ki...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:59d74d4521e75085125fe33bdba...
: Reopened
: 1120645 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-12 16:30 EST by Antoine Cotten
Modified: 2015-06-29 08:53 EDT (History)
33 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:53:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mike: needinfo? (mclasen)


Attachments (Terms of Use)
File: backtrace (28.27 KB, text/plain)
2013-11-12 16:30 EST, Antoine Cotten
no flags Details
File: cgroup (159 bytes, text/plain)
2013-11-12 16:30 EST, Antoine Cotten
no flags Details
File: core_backtrace (16.74 KB, text/plain)
2013-11-12 16:30 EST, Antoine Cotten
no flags Details
File: dso_list (13.91 KB, text/plain)
2013-11-12 16:30 EST, Antoine Cotten
no flags Details
File: environ (1.33 KB, text/plain)
2013-11-12 16:30 EST, Antoine Cotten
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-12 16:30 EST, Antoine Cotten
no flags Details
File: maps (65.20 KB, text/plain)
2013-11-12 16:30 EST, Antoine Cotten
no flags Details
File: open_fds (2.34 KB, text/plain)
2013-11-12 16:30 EST, Antoine Cotten
no flags Details
File: proc_pid_status (935 bytes, text/plain)
2013-11-12 16:30 EST, Antoine Cotten
no flags Details
File: var_log_messages (4.56 KB, text/plain)
2013-11-12 16:30 EST, Antoine Cotten
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 727427 None None None Never

  None (edit)
Description Antoine Cotten 2013-11-12 16:30:20 EST
Description of problem:
Tried to unmount a SMB share by clicking the "Unmount" button in the left panel.

Version-Release number of selected component:
nautilus-3.10.1-1.fc20

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        nautilus --new-window
crash_function: _g_log_abort
executable:     /usr/bin/nautilus
kernel:         3.11.7-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 _g_log_abort at gmessages.c:255
 #5 nautilus_bookmark_connect_file at nautilus-bookmark.c:350
 #6 nautilus_bookmark_constructed at nautilus-bookmark.c:549
 #7 g_object_new_internal at gobject.c:1785
 #8 g_object_new_valist at gobject.c:2002
 #10 nautilus_bookmark_new at nautilus-bookmark.c:756
 #11 nautilus_window_slot_update_bookmark at nautilus-window-slot.c:1841
 #12 nautilus_window_slot_update_for_new_location at nautilus-window-slot.c:2126
 #13 location_has_really_changed at nautilus-window-slot.c:2382
 #14 view_begin_loading_cb at nautilus-window-slot.c:2303

Potential duplicate: bug 999504
Comment 1 Antoine Cotten 2013-11-12 16:30:26 EST
Created attachment 823131 [details]
File: backtrace
Comment 2 Antoine Cotten 2013-11-12 16:30:30 EST
Created attachment 823132 [details]
File: cgroup
Comment 3 Antoine Cotten 2013-11-12 16:30:33 EST
Created attachment 823133 [details]
File: core_backtrace
Comment 4 Antoine Cotten 2013-11-12 16:30:36 EST
Created attachment 823134 [details]
File: dso_list
Comment 5 Antoine Cotten 2013-11-12 16:30:39 EST
Created attachment 823135 [details]
File: environ
Comment 6 Antoine Cotten 2013-11-12 16:30:42 EST
Created attachment 823136 [details]
File: limits
Comment 7 Antoine Cotten 2013-11-12 16:30:46 EST
Created attachment 823137 [details]
File: maps
Comment 8 Antoine Cotten 2013-11-12 16:30:49 EST
Created attachment 823138 [details]
File: open_fds
Comment 9 Antoine Cotten 2013-11-12 16:30:52 EST
Created attachment 823139 [details]
File: proc_pid_status
Comment 10 Antoine Cotten 2013-11-12 16:30:56 EST
Created attachment 823140 [details]
File: var_log_messages
Comment 11 bbzsz 2013-11-25 04:10:58 EST
I believe I am getting the same problem however I tried to unmount a FTPS volume. This actually didn't occur when I clicked the unmount buttons but when I tried to reconnect via "Conntact to server" and then clicking connect. abrt believes it's the same bug, I'm getting the same kill signal 6.
Comment 12 Stas 2013-12-21 13:24:22 EST
Another user experienced a similar problem:

Open smb://127.0.0.1

reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        nautilus --new-window
crash_function: _g_log_abort
executable:     /usr/bin/nautilus
kernel:         3.12.5-302.fc20.x86_64
package:        nautilus-3.10.1-2.fc20
reason:         nautilus killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1001
Comment 13 Michael Cronenworth 2013-12-26 11:00:41 EST
Replace Fedora 20 with Fedora 19, or Fedora 18. Gnome is perpetually broken when it comes to unmounting a GVFS mount.

@Matthias Clasen, could a few cycles be spared to actually fix this?
Comment 14 Emanuel Somosan 2013-12-29 20:02:56 EST
Another user experienced a similar problem:

Just closed nautilus.

reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        nautilus --new-window
crash_function: _g_log_abort
executable:     /usr/bin/nautilus
kernel:         3.12.5-302.fc20.i686+PAE
package:        nautilus-3.10.1-2.fc20
reason:         nautilus killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            935800001
Comment 15 Mattias Giese 2014-01-23 05:38:53 EST
Another user experienced a similar problem:

Tried to access a CIFS share that was mounted before

reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        nautilus --new-window
crash_function: _g_log_abort
executable:     /usr/bin/nautilus
kernel:         3.12.8-300.fc20.x86_64
package:        nautilus-3.10.1-2.fc20
reason:         nautilus killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 16 Edouard Bourguignon 2014-02-16 04:23:04 EST
open sftp with nautilus. Hibernate the computer. Resume. Oops nautilus crashed. Abrt thinks it's the same bug.
Comment 17 Black Pants 2014-03-10 15:45:52 EDT
I had opened FTP server connection, then just left it opened for few minutes. After connection timeout i tried to connect once again and then nautilus crashed.
Comment 18 im_asmodeus 2014-03-16 12:57:33 EDT
Mounting Android phone via USB.
Comment 19 Milan Bouchet-Valat 2014-04-01 08:12:54 EDT
Filed upstream.
Comment 20 Felix Schwarz 2014-05-05 16:47:22 EDT
(In reply to Milan Bouchet-Valat from comment #19)
> Filed upstream.

upstream fixed this bug a few days ago in https://bugzilla.gnome.org/show_bug.cgi?id=708282 . As this is a very annoying one-line fix could we add a backport of this to Fedora's nautilus package?
Comment 21 Fedora Update System 2014-05-05 17:52:11 EDT
nautilus-3.10.1-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nautilus-3.10.1-4.fc20
Comment 22 Fedora Update System 2014-05-14 19:55:00 EDT
nautilus-3.10.1-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 23 Samuel Sieb 2014-07-16 10:29:42 EDT
I just had this happen again with nautilus-3.10.1-4.fc20.  It was related to SMB browsing and shares.
Comment 24 Viking 2014-07-17 06:44:51 EDT
*** Bug 1120645 has been marked as a duplicate of this bug. ***
Comment 25 tuksgig 2014-08-12 08:35:50 EDT
I'm also still seeing this on nautilus-3.10.1-4.fc20, with FTP bookmarks.
Comment 26 Michael Cronenworth 2014-08-12 10:07:02 EDT
This is still occurring for me as well. (nautilus-3.10.1-4.fc20)
Comment 27 Nickolai Dobrynin 2014-08-12 19:57:16 EDT
Happens for me, too, in nautilus-3.10.1-4.fc20.x86_64.  I would LOVE to use SFTP under Nautilus, if only this feature was usable.  Once I connect and use it for some time, the window turns blank: no files are being shown.  All I can do is disconnect and reconnect.  So, I right-click on the connection alias and select disconnect, then click on the bookmark, AND IT CRASHES.

This happens even when I use it continually, so timeout cannot occur.  This bug has been around for a long time.  I don't know of a good way of using SFTP under Nautilus until it gets fixed.
Comment 28 Ralf Oltmanns 2014-10-14 14:11:27 EDT
Another user experienced a similar problem:

Connect to server A via sftp:// using sshkey authentication
copy some files to and fro server A
keep connection alive
Connect to server B via sftp:// using sshkey authentication, which leads to a crash of all open "files" windows of nautilus

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --no-default-window
crash_function: _g_log_abort
executable:     /usr/bin/nautilus
kernel:         3.16.4-200.fc20.x86_64
package:        nautilus-3.10.1-4.fc20
reason:         nautilus killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 29 Gaurav Dighe 2014-10-28 11:13:01 EDT
Another user experienced a similar problem:

I tried to mount my Windows Phone on Nautilus.

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/nautilus
crash_function: _g_log_abort
executable:     /usr/bin/nautilus
kernel:         3.16.6-203.fc20.x86_64
package:        nautilus-3.10.1-4.fc20
reason:         nautilus killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 30 Fedora End Of Life 2015-05-29 05:44:36 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 31 Fedora End Of Life 2015-06-29 08:53:34 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.